petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchComputeObjective

Computes the objective function value at a given point

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchComputeObjective(TaoLineSearch ls, Vec x, PetscReal *f)

Collective on TaoLineSearch

### Input Parameters

| ls | - the TaoLineSearch context
| x | - input vector

### Output Parameter

f -Objective value at X

### Notes

TaoLineSearchComputeObjective() is typically used within line searches so most users would not generally call this routine themselves.

### See Also

TaoLineSearchComputeGradient(), TaoLineSearchComputeObjectiveAndGradient(), TaoLineSearchSetObjectiveRoutine()

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages